- Home
- API Enriched
- Shape
- shape
- Generate CSR.
Generate CSR.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/certificate/generate-csr';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"common_name":"example","country_name":"example","csr_name":"example","email":"hello@example.com","locality":"example","namespace":"example","organization_name":"example","organization_unit_name":"example","san_main":"example","san_sub":["example"],"state":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/certificate/generate-csr \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "common_name": "example", "country_name": "example", "csr_name": "example", "email": "hello@example.com", "locality": "example", "namespace": "example", "organization_name": "example", "organization_unit_name": "example", "san_main": "example", "san_sub": [ "example" ], "state": "example" }'Generate a new CSR.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to generate CSR.
object
Human-readable name for the resource
Human-readable name for the resource
Human-readable name for the resource
Email address in RFC 5322 format
Configuration parameter for locality
Human-readable name for the resource
Human-readable name for the resource
Human-readable name for the resource
Configuration parameter for san main
Configuration parameter for san sub
Current state of the resource
Examplegenerated
{ "common_name": "example", "country_name": "example", "csr_name": "example", "email": "hello@example.com", "locality": "example", "namespace": "example", "organization_name": "example", "organization_unit_name": "example", "san_main": "example", "san_sub": [ "example" ], "state": "example"}Responses
Section titled “Responses”A successful response.
Generated CSR content.
object
object
Configuration parameter for cert
Configuration parameter for csr
Unique identifier for the resource
Configuration parameter for pkey
Examplegenerated
{ "certificate_content": { "cert": "example", "csr": "example", "id": "example", "pkey": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example